%define upstream_name    Test-Count
%define upstream_version 0.0901

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A standalone command line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Count is a set of perl modules for keeping track of the number of
tests in a test file. It works by putting in comments of the form '# TEST'
(one test), '# TEST*$EXPR' or '# TEST+$EXPR' (both are multiple tests).
Test::Count count these tests throughout the fileand return all of their
results.

One can put any mathematical expressions (using parentheses, '+', '-', '*',
'/' and '%' there). One can also assign variables using '#
TEST:$myvar=5+6;$second_var=$myvar+3' and later use them in the add to
count expressions. A '$var++' construct is also available.

One can find example test scripts under t/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.100-6.mga6
+ Revision: 1034223
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.100-5.mga6
+ Revision: 943496
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.100-4.mga5
+ Revision: 739613
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.100-3.mga5
+ Revision: 686420
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.90.100-2.mga4
+ Revision: 525246
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.90.100-1.mga4
+ Revision: 432583
- New version 0.0901

* Sun Jan 13 2013 umeabot <umeabot> 0.80.300-2.mga3
+ Revision: 373450
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 shlomif <shlomif> 0.80.300-1.mga3
+ Revision: 284076
- update to 0.0803

* Tue Jun 05 2012 jquelin <jquelin> 0.80.200-1.mga3
+ Revision: 255511
- update to 0.0802

  + kharec <kharec>
    - update to 0.0801

* Thu Jul 14 2011 shlomif <shlomif> 0.70.200-1.mga2
+ Revision: 124168
- imported package perl-Test-Count


* Sat Jul 02 2011 cpan2dist 0.0702-1mga
- initial mageia release, generated with cpan2dist
